# Copyright (c) 2014 The University of Manchester
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from .abstract_accepts_incoming_synapses import AbstractAcceptsIncomingSynapses
from .abstract_has_delay_stages import AbstractHasDelayStages
from .abstract_max_spikes import AbstractMaxSpikes
from .abstract_synapse_expandable import (
    AbstractSynapseExpandable, SYNAPSE_EXPANDER_APLX)
from .sends_synaptic_inputs_over_sdram import SendsSynapticInputsOverSDRAM
from .receives_synaptic_inputs_over_sdram import (
    ReceivesSynapticInputsOverSDRAM)
from .has_synapses import HasSynapses
from .abstract_neuron_expandable import (
    AbstractNeuronExpandable, NEURON_EXPANDER_APLX)
from .supports_structure import SupportsStructure
from .has_shape_key_fields import HasShapeKeyFields

__all__ = ["AbstractAcceptsIncomingSynapses", "AbstractHasDelayStages",
           "AbstractMaxSpikes", "AbstractSynapseExpandable",
           "SYNAPSE_EXPANDER_APLX",
           "SendsSynapticInputsOverSDRAM", "ReceivesSynapticInputsOverSDRAM",
           "HasSynapses", "AbstractNeuronExpandable", "NEURON_EXPANDER_APLX",
           "SupportsStructure", "HasShapeKeyFields"]
